<?php

namespace EventPortal\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Illuminate\Http\Response;

class CanAccessAdmin
{
    /**
     * @return mixed
     */
    public function handle(Request $request, Closure $next)
    {
        abort_unless($request->user()->isAdmin(), Response::HTTP_UNAUTHORIZED);

        return $next($request);
    }
}
