<?php

namespace EventPortal\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Illuminate\Http\Response;
use LaravelFeature\Facade\Feature as FeatureFacade;

class Feature
{
    /**
     * @return mixed
     */
    public function handle(Request $request, Closure $next, string $featureName)
    {
        abort_unless(FeatureFacade::isEnabled($featureName), Response::HTTP_NOT_FOUND);

        return $next($request);
    }
}
