<?php

namespace EventPortal\Domain\Speaker\Handlers;

use Closure;
use EventPortal\Domain\Form\Payload;
use EventPortal\Domain\Speaker\Models\Speaker;

class UpdateSpeaker
{
    /**
     * @return mixed
     */
    public function __invoke(Payload $payload, Closure $next)
    {
        $payload->find(Speaker::class)->update($payload->getInput());

        return $next($payload);
    }
}
